MemberCheck API Reference v3.0
Scroll down for code samples, example requests and responses. Select a language for code samples from the tabs above or the mobile navigation menu.
v10.5 Updated: Sunday July 26, 2026.
The MemberCheck RESTful API provides you with access to MemberCheck functionality.
The MemberCheck API is organised around REST. It has predictable, resource-oriented URLs, and uses HTTP response codes to indicate API errors.
Built-in HTTP features, such as HTTP authentication and HTTP verbs are used, which are understood by off-the-shelf HTTP clients.
Cross-origin resource sharing is supported, which allows you to interact securely with the API from a client-side web application (although you should never expose your secret API key in any public website's client-side code). JSON is returned by all API responses, including errors.
We have language bindings in cURL, Ruby, and Python. You can view code examples in the shaded area to the right, and you can switch the programming language of the examples with the tabs in the top right.
Production URL: https://api.membercheck.com/api/v3
Demo URL: https://demo.api.membercheck.com/api/v3
Old API References
This document is related to API 3.0. You can find old versions documents if you use previous versions.
| MemberCheck API Reference v2 |
Authentication
HTTP Authentication, scheme: bearer Please insert access token into field
API Key (ApiKey)
- Parameter Name: api-key, in: header. API Key Authentication
Authenticate your account when using the API by including your secret API key in the request. You can manage your API keys in your profile. Your API keys carry many privileges, so be sure to keep them secret.
MemberCheck API expects the api-key to be included in all API requests to the server, in a header like this:
api-key: your-api-key
All API requests must be made over HTTPS. Calls made over plain HTTP will fail. API requests without authentication will also fail.
Errors
MemberCheck uses conventional HTTP response codes to indicate the success or failure of an API request. In general, codes in the 2xx range indicate success, codes in the 4xx range indicate an error that failed given the information provided (e.g. a required parameter was omitted, etc.), and codes in the 5xx range indicate an error with the MemberCheck services.
HTTP status code summary
| Code | Status | Description |
|---|---|---|
| 200 | OK | The request was successful and the requested information is in the response. This is the most common status code to receive. |
| 201 | Created | The request resulted in a new resource being created before the response was sent. |
| 204 | No Content | The request has been successfully processed and the response is intentionally blank. |
| 400 | Bad Request | The request could not be understood or processed by the server. Bad Request is sent when no other error is applicable, or if the exact error is unknown, or does not have its own error code. |
| 401 | Unauthorised | The requested resource requires authentication. |
| 403 | Forbidden | The server is not able to fulfill the request. |
| 404 | Not Found | The requested resource does not exist on the server. |
| 500 | Internal Server Error | A generic error has occurred on the server. |
In addition to the error code, the response always contains a message that describes details of the error.
401 example response
{
"Message": "Authorisation has been denied for this request."
}
Also the 400 - Bad Request response always contains a ModelState that describes detail of the incorrect or invalid parameter that was sent.
400 example response
{
"Message": "The request is invalid.",
"ModelState": {
"from": [
"Cannot convert 'from' query parameter value '123' to DateTime. The expected format is DD/MM/YYYY."
]
}
}
Pagination
GET requests that return multiple items will be paginated with 20 items by default. You can specify further pages with the pageIndex parameter. You can also set a custom page size up to 100 with the pageSize parameter.
ARGUMENTS
| Name | Description |
|---|---|
| pageIndex | The zero-based numbering for page index of results. Default Value: 0 |
| pageSize | The number of items or results per page. Default Value: 20 |
The "x-total-count" in Response Headers contains the total number of results.
Code samples
# You can also use wget
curl -X get https://demo.api.membercheck.com/api/v3/member-scans/single?pageIndex=1&pageSize=10
GET https://demo.api.membercheck.com/api/v3/member-scans/single?pageIndex=1&pageSize=10 HTTP/1.1
Host: demo.api.membercheck.com
Content-Type: application/json
Accept: application/json
api-key: your-api-key
<script>
$.ajax({
url: 'https://demo.api.membercheck.com/api/v2/member-scans/single?pageIndex=1&pageSize=10',
method: 'get',
headers: {'api-key': 'your-api-key'},
success: function(data) {
console.log(JSON.stringify(data));
}
})
</script>
const request = require('node-fetch');
fetch('https://demo.api.membercheck.com/api/v2/member-scans/single?pageIndex=1&pageSize=10', { method: 'GET'})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
result = RestClient.get 'https://demo.api.membercheck.com/api/v2/member-scans/single?pageIndex=1&pageSize=10', params:
{
# TODO
}
p JSON.parse(result)
import requests
r = requests.get('https://demo.api.membercheck.com/api/v2/member-scans/single?pageIndex=1&pageSize=10', params={
# TODO
})
print r.json()
URL obj = new URL("https://demo.api.membercheck.com/api/v2/member-scans/single?pageIndex=1&pageSize=10");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
con.setRequestProperty("api-key", "your-api-key");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
URI Scheme
All API access is over HTTPS, and accessed from https://demo.api.membercheck.com/api. All data is sent and received as JSON.
Where data is not available for fields, these blank fields will return as null.
Health Check
Health
Code samples
# You can also use wget
curl -X GET https://demo.api.membercheck.com/health \
-H 'Accept: text/plain'
GET https://demo.api.membercheck.com/health HTTP/1.1
Accept: text/plain
const headers = {
'Accept':'text/plain'
};
fetch('https://demo.api.membercheck.com/health',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res;
}).then(function(body) {
console.log(body);
});
require 'rest-client'
headers = {
'Accept' => 'text/plain'
}
result = RestClient.get 'https://demo.api.membercheck.com/health',
params: {
}, headers: headers
import requests
headers = {
'Accept': 'text/plain'
}
r = requests.get('https://demo.api.membercheck.com/health', headers = headers)
print(r)
URL obj = new URL("https://demo.api.membercheck.com/health");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"text/plain"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://demo.api.membercheck.com/health", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /health
Returns the health status of the MemberCheck API service. This can be used to check the liveness of the service.
Example responses
200 Response
Healthy
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Indicates that the API service is healthy. | None |
| 503 | Service Unavailable | Indicates that the API Service is unhealthy or an error has occurred. | None |
Member Scans
Individual/person screening against PEP, Sanctions, and watchlists. Single scans, batch scans, monitoring, rescan.
New Member Single Scan
Code samples
# You can also use wget
curl -X POST https://demo.api.membercheck.com/api/v3/member-scans/single \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Request-OrgId: string' \
-H 'Authorization: Bearer {access-token}'
POST https://demo.api.membercheck.com/api/v3/member-scans/single HTTP/1.1
Content-Type: application/json
Accept: application/json
X-Request-OrgId: string
const inputBody = '{
"matchType": "Close",
"closeMatchRateThreshold": 80,
"whitelist": "Apply",
"residence": "ApplyAll",
"blankAddress": "ApplyResidenceCountry",
"pepJurisdiction": "Apply",
"excludeDeceasedPersons": "Yes",
"clientId": "CLIENT-001",
"firstName": "Anthony",
"middleName": "",
"lastName": "Albanese",
"scriptNameFullName": "",
"gender": "Male",
"dob": "02/03/1963",
"dobTolerance": 2,
"idNumber": "",
"address": "123 Example St, Sydney NSW 2000",
"country": [
"AU"
],
"nationality": [
"AU"
],
"includeResultEntities": "Yes",
"updateMonitoringList": "No",
"includeWebSearch": "No",
"includeAdvancedMedia": "No",
"dataBreachCheckParam": {
"emailAddress": "john.smith@example.com"
},
"idvParam": {
"mobileNumber": "+61412345678",
"emailAddress": "john.smith@example.com",
"country": {
"code": "AU"
},
"idvType": "IDCheck",
"idvSubType": "IDCheck_Email",
"allowDuplicateIDVScan": false,
"verificationProcess": "StepByStep",
"consent": true,
"idvDataSource": "Commercial",
"idvAssuranceLevel": "SingleSource",
"subscriberCode": "ABCXYZ",
"parentOrigin": "https://example.com"
},
"includeJurisdictionRisk": "No",
"watchlists": [],
"dataSources": "Acuris",
"includeRiskAssessment": "No",
"ignoreBlankPolicy": ""
}';
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'X-Request-OrgId':'string',
'Authorization':'Bearer {access-token}'
};
fetch('https://demo.api.membercheck.com/api/v3/member-scans/single',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'X-Request-OrgId' => 'string',
'Authorization' => 'Bearer {access-token}'
}
result = RestClient.post 'https://demo.api.membercheck.com/api/v3/member-scans/single',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'X-Request-OrgId': 'string',
'Authorization': 'Bearer {access-token}'
}
r = requests.post('https://demo.api.membercheck.com/api/v3/member-scans/single', headers = headers)
print(r.json())
URL obj = new URL("https://demo.api.membercheck.com/api/v3/member-scans/single");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"application/json"},
"Accept": []string{"application/json"},
"X-Request-OrgId": []string{"string"},
"Authorization": []string{"Bearer {access-token}"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "https://demo.api.membercheck.com/api/v3/member-scans/single", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /api/v3/member-scans/single
Performs new member single scan.
Member Scan - Scan New allows you to scan members by entering member information into the fields provided.
Body parameter
{
"matchType": "Close",
"closeMatchRateThreshold": 80,
"whitelist": "Apply",
"residence": "ApplyAll",
"blankAddress": "ApplyResidenceCountry",
"pepJurisdiction": "Apply",
"excludeDeceasedPersons": "Yes",
"clientId": "CLIENT-001",
"firstName": "Anthony",
"middleName": "",
"lastName": "Albanese",
"scriptNameFullName": "",
"gender": "Male",
"dob": "02/03/1963",
"dobTolerance": 2,
"idNumber": "",
"address": "123 Example St, Sydney NSW 2000",
"country": [
"AU"
],
"nationality": [
"AU"
],
"includeResultEntities": "Yes",
"updateMonitoringList": "No",
"includeWebSearch": "No",
"includeAdvancedMedia": "No",
"dataBreachCheckParam": {
"emailAddress": "john.smith@example.com"
},
"idvParam": {
"mobileNumber": "+61412345678",
"emailAddress": "john.smith@example.com",
"country": {
"code": "AU"
},
"idvType": "IDCheck",
"idvSubType": "IDCheck_Email",
"allowDuplicateIDVScan": false,
"verificationProcess": "StepByStep",
"consent": true,
"idvDataSource": "Commercial",
"idvAssuranceLevel": "SingleSource",
"subscriberCode": "ABCXYZ",
"parentOrigin": "https://example.com"
},
"includeJurisdictionRisk": "No",
"watchlists": [],
"dataSources": "Acuris",
"includeRiskAssessment": "No",
"ignoreBlankPolicy": ""
}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| X-Request-OrgId | header | string | false | Unique organisation identifier. This is optional and your default organisation will be used if not specified. You can specify the relevant Organisation ID if you are assigned to multiple organisations. |
| body | body | ScanInputParam | false | Scan parameters, which include match type and policy options, applicable to each scan. Please check with your Compliance Officer the Organisation's Scan Setting requirements in the MemberCheck web application. |
Example responses
201 Response
{
"metadata": {
"message": "string",
"advancedMediaError": "string"
},
"scanId": 0,
"resultUrl": "string",
"dataSources": "Acuris",
"matchedNumber": 0,
"idvUrl": "string",
"matchedEntities": [
{
"resultId": 0,
"uniqueId": 0,
"resultEntity": {
"uniqueId": 0,
"dataSource": "string",
"category": "string",
"categories": "string",
"subcategory": "string",
"suggestedRisk": "Unallocated",
"gender": "string",
"deceased": "string",
"primaryFirstName": "string",
"primaryMiddleName": "string",
"primaryLastName": "string",
"position": "string",
"dateOfBirth": "string",
"deceasedDate": "string",
"placeOfBirth": "string",
"primaryLocation": "string",
"images": [
"string"
],
"generalInfo": {
"property1": "string",
"property2": "string"
},
"furtherInformation": "string",
"lastReviewed": "string",
"descriptions": [
{
"description1": "string",
"description2": "string",
"description3": "string"
}
],
"nameDetails": [
{
"nameType": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string"
}
],
"roles": [
{
"title": "string",
"segment": "string",
"type": "string",
"status": "string",
"country": "string",
"from": "string",
"to": "string"
}
],
"importantDates": [
{
"dateType": "string",
"dateValue": "string"
}
],
"nationalities": [
"string"
],
"nationalitiesCodes": [
"string"
],
"locations": [
{
"country": "string",
"countryCode": "string",
"city": "string",
"address": "string",
"type": "string"
}
],
"countries": [
{
"countryType": "string",
"countryValue": "string"
}
],
"officialLists": [
{
"keyword": "string",
"category": "string",
"description": "string",
"country": "string",
"origin": "string",
"measures": "string",
"types": "string",
"isCurrent": true
}
],
"idNumbers": [
{
"type": "string",
"idNotes": "string",
"number": "string"
}
],
"identifiers": [
{
"type": "string",
"country": "string",
"value": "string",
"issuer": "string",
"issueDate": "string",
"expirationDate": "string"
}
],
"disqualifiedDirectors": [
{
"caseReference": "string",
"company": "string",
"reason": "string",
"from": "string",
"to": "string"
}
],
"profileOfInterests": [
{
"category": "string",
"positions": [
{
"position": "string",
"segment": "string",
"country": "string",
"from": "string",
"to": "string"
}
]
}
],
"sources": [
{
"url": "string",
"categories": "string",
"details": [
{
"id": "string",
"categories": "string",
"originalUrl": "string",
"title": "string",
"credibility": "string",
"language": "string",
"summary": "string",
"keywords": "string",
"captureDate": "string",
"publicationDate": "string",
"assetUrl": "string",
"isCopyrighted": true
}
],
"type": "string"
}
],
"linkedIndividuals": [
{
"id": 0,
"firstName": "string",
"middleName": "string",
"lastName": "string",
"category": "string",
"subcategories": "string",
"description": "string",
"suggestedRisk": "Unallocated"
}
],
"linkedCompanies": [
{
"id": 0,
"name": "string",
"category": "string",
"subcategories": "string",
"description": "string",
"suggestedRisk": "Unallocated"
}
],
"taxHavenCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string"
}
],
"sanctionedCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string",
"isBlackList": true,
"isGreyList": true
}
]
},
"monitoredOldEntity": {
"uniqueId": 0,
"dataSource": "string",
"category": "string",
"categories": "string",
"subcategory": "string",
"suggestedRisk": "Unallocated",
"gender": "string",
"deceased": "string",
"primaryFirstName": "string",
"primaryMiddleName": "string",
"primaryLastName": "string",
"position": "string",
"dateOfBirth": "string",
"deceasedDate": "string",
"placeOfBirth": "string",
"primaryLocation": "string",
"images": [
"string"
],
"generalInfo": {
"property1": "string",
"property2": "string"
},
"furtherInformation": "string",
"lastReviewed": "string",
"descriptions": [
{
"description1": "string",
"description2": "string",
"description3": "string"
}
],
"nameDetails": [
{
"nameType": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string"
}
],
"roles": [
{
"title": "string",
"segment": "string",
"type": "string",
"status": "string",
"country": "string",
"from": "string",
"to": "string"
}
],
"importantDates": [
{
"dateType": "string",
"dateValue": "string"
}
],
"nationalities": [
"string"
],
"nationalitiesCodes": [
"string"
],
"locations": [
{
"country": "string",
"countryCode": "string",
"city": "string",
"address": "string",
"type": "string"
}
],
"countries": [
{
"countryType": "string",
"countryValue": "string"
}
],
"officialLists": [
{
"keyword": "string",
"category": "string",
"description": "string",
"country": "string",
"origin": "string",
"measures": "string",
"types": "string",
"isCurrent": true
}
],
"idNumbers": [
{
"type": "string",
"idNotes": "string",
"number": "string"
}
],
"identifiers": [
{
"type": "string",
"country": "string",
"value": "string",
"issuer": "string",
"issueDate": "string",
"expirationDate": "string"
}
],
"disqualifiedDirectors": [
{
"caseReference": "string",
"company": "string",
"reason": "string",
"from": "string",
"to": "string"
}
],
"profileOfInterests": [
{
"category": "string",
"positions": [
{
"position": "string",
"segment": "string",
"country": "string",
"from": "string",
"to": "string"
}
]
}
],
"sources": [
{
"url": "string",
"categories": "string",
"details": [
{
"id": "string",
"categories": "string",
"originalUrl": "string",
"title": "string",
"credibility": "string",
"language": "string",
"summary": "string",
"keywords": "string",
"captureDate": "string",
"publicationDate": "string",
"assetUrl": "string",
"isCopyrighted": true
}
],
"type": "string"
}
],
"linkedIndividuals": [
{
"id": 0,
"firstName": "string",
"middleName": "string",
"lastName": "string",
"category": "string",
"subcategories": "string",
"description": "string",
"suggestedRisk": "Unallocated"
}
],
"linkedCompanies": [
{
"id": 0,
"name": "string",
"category": "string",
"subcategories": "string",
"description": "string",
"suggestedRisk": "Unallocated"
}
],
"taxHavenCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string"
}
],
"sanctionedCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string",
"isBlackList": true,
"isGreyList": true
}
]
},
"monitoringStatus": "NewMatches",
"matchedFields": "string",
"category": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"matchRate": 0,
"dob": "string",
"primaryLocation": "string",
"decisionDetail": {
"text": "string",
"matchDecision": "Match",
"assessedRisk": "Unallocated",
"comment": "string"
},
"aiAnalysisQuestionCount": 0,
"taxHavenCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string"
}
],
"sanctionedCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string",
"isBlackList": true,
"isGreyList": true
}
]
}
],
"webSearchResults": [
{
"title": "string",
"snippet": "string",
"mime": "string",
"link": "string",
"kind": "string",
"htmlTitle": "string",
"htmlSnippet": "string",
"htmlFormattedUrl": "string",
"formattedUrl": "string",
"fileFormat": "string",
"displayLink": "string"
}
],
"advancedMediaResults": [
{
"articleId": 0,
"siteId": 0,
"wordCount": "string",
"author": "string",
"link": "string",
"title": "string",
"publishedDate": "string",
"sourceName": "string",
"summary": "string",
"body": "string",
"readCount": "string",
"articleImages": [
"string"
],
"bookmarkId": 0,
"isBookmarked": true
}
],
"dataBreachCheckResults": [
{
"name": "string",
"domain": "string",
"breachDate": "string",
"description": "string",
"logoPath": "string",
"dataClasses": [
"string"
]
}
],
"fatfJurisdictionRiskResults": [
{
"jurisdiction": "string",
"effectivenessScore": 0,
"effectivenessLevel": 0,
"complianceScore": 0,
"complianceLevel": 0,
"comments": "string",
"fatfCompliance": "string",
"fatfComplianceNotes": "string",
"fatfEffectiveness": "string",
"fatfEffectivenessNotes": "string",
"fatfEffectivenessSubtitles": "string",
"fatfBlackGreyRisk": 0,
"countryCode": "string"
}
],
"monitoringReviewStatus": true,
"monitoringReviewSummary": "string",
"supportingDocumentDetails": {
"documents": [
{
"id": 0,
"fileName": "string",
"uploadedBy": "string",
"fileSize": 0,
"date": "2019-08-24T14:15:22Z",
"comment": "string",
"isPinned": true,
"documentType": "string",
"documentTypeDescription": "string"
}
],
"historyAvailable": true
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 201 | Created | ScanResult: contains brief information of matched entities. The returned scanId should be used in GET /member-scans/single/{id} API method to obtain details of this scan. The returned matchedEntities.resultId of each matched entity should be used in GET /member-scans/single/results/{id} API method to obtain entity profile information. |
ScanResult |
| 400 | Bad Request | Validation error — check response body for field-level error details. | None |
| 401 | Unauthorized | Authentication failed — access token is missing, expired, or invalid. | None |
| 500 | Internal Server Error | Internal server error — an unexpected error occurred. Retry or contact support. | None |
Member Single Scans History
Code samples
# You can also use wget
curl -X GET https://demo.api.membercheck.com/api/v3/member-scans/single \
-H 'Accept: application/json' \
-H 'X-Request-OrgId: string' \
-H 'Authorization: Bearer {access-token}'
GET https://demo.api.membercheck.com/api/v3/member-scans/single HTTP/1.1
Accept: application/json
X-Request-OrgId: string
const headers = {
'Accept':'application/json',
'X-Request-OrgId':'string',
'Authorization':'Bearer {access-token}'
};
fetch('https://demo.api.membercheck.com/api/v3/member-scans/single',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'X-Request-OrgId' => 'string',
'Authorization' => 'Bearer {access-token}'
}
result = RestClient.get 'https://demo.api.membercheck.com/api/v3/member-scans/single',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'X-Request-OrgId': 'string',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://demo.api.membercheck.com/api/v3/member-scans/single', headers = headers)
print(r.json())
URL obj = new URL("https://demo.api.membercheck.com/api/v3/member-scans/single");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"X-Request-OrgId": []string{"string"},
"Authorization": []string{"Bearer {access-token}"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://demo.api.membercheck.com/api/v3/member-scans/single", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /api/v3/member-scans/single
Returns member scan history.
Member Scan - Scan History provides a record of all scans performed for the selected organisation.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| userId | query | integer(int32) | false | Scan user id. |
| from | query | string | false | Scan date from (DD/MM/YYYY). |
| to | query | string | false | Scan date to (DD/MM/YYYY). |
| firstName | query | string | false | All or part of First Name. Only enter Latin or Roman scripts in this parameter. |
| middleName | query | string | false | All or part of Middle Name. Only enter Latin or Roman scripts in this parameter. |
| lastName | query | string | false | Full Last Name. Only enter Latin or Roman scripts in this parameter. |
| scriptNameFullName | query | string | false | Full Original Script Name or Full Name. Only enter original script or full name in this parameter (i.e. Chinese, Japanese, Cyrillic, Arabic etc). |
| clientId | query | string | false | All or part of Client ID. |
| idNumber | query | string | false | Full ID Number. |
| scanType | query | array[string] | false | Scan Type. See supported values below. |
| scanService | query | array[string] | false | Scan Service type. See supported values below. |
| matchType | query | array[string] | false | Match Type. See supported values below. |
| whitelistPolicy | query | array[string] | false | Whitelist Policy. See supported values below. |
| includeWebSearch | query | array[string] | false | Web Search included or not. See supported values below. |
| includeAdvancedMedia | query | array[string] | false | Advanced Media Search included or not. See supported values below. |
| scanResult | query | array[string] | false | Scan Result Matched or Not Matched. |
| category | query | array[string] | false | Category of entity in scan result. See supported values below. |
| subCategory | query | array[string] | false | SIP subcategories of entity in scan result. See supported values below. |
| decision | query | array[string] | false | Due diligence decision of scan result. See supported values below. |
| risk | query | array[string] | false | Assessed risk level of scan result. See supported values below. |
| monitoringStatus | query | array[string] | false | Monitoring update status (if available). See supported values below. |
| idvStatus | query | array[string] | false | ID Verification result status. Only applicable for IDVerification scanService. See supported values below. |
| idvFaceMatchStatus | query | array[string] | false | FaceMatch Verification result status. Only applicable for IDVerification scanService. See supported values below. |
| dataSources | query | array[string] | false | Data Sources of scan. See supported values below. |
| pageIndex | query | integer(int32) | false | The page index of results. |
| pageSize | query | integer(int32) | false | The number of items or results per page or request. |
| X-Request-OrgId | header | string | false | Unique organisation identifier. This is optional and your default organisation will be used if not specified. You can specify the relevant Organisation ID if you are assigned to multiple organisations. |
Enumerated Values
| Parameter | Value |
|---|---|
| scanType | Single |
| scanType | Batch |
| scanType | Automatic |
| scanType | MonitoringRescan |
| scanService | PepAndSanction |
| scanService | IDVerification |
| scanService | RiskAssessment |
| matchType | Close |
| matchType | Exact |
| matchType | ExactMidName |
| whitelistPolicy | Apply |
| whitelistPolicy | Ignore |
| includeWebSearch | No |
| includeWebSearch | Yes |
| includeAdvancedMedia | No |
| includeAdvancedMedia | Yes |
| scanResult | NoMatchesFound |
| scanResult | MatchesFound |
| category | TER |
| category | PEP |
| category | SIP |
| category | RCA |
| category | POI |
| category | All |
| subCategory | SanctionsLists |
| subCategory | LawEnforcement |
| subCategory | RegulatoryEnforcement |
| subCategory | OrganisedCrime |
| subCategory | FinancialCrime |
| subCategory | NarcoticsCrime |
| subCategory | ModernSlavery |
| subCategory | BriberyAndCorruption |
| subCategory | CyberCrime |
| subCategory | DisqualifiedDirectors |
| subCategory | ReputationalRisk |
| subCategory | Other |
| subCategory | Insolvency |
| subCategory | CustomWatchlist |
| subCategory | WarCrimes |
| subCategory | EndUseControl |
| subCategory | EnvironmentalCrime |
| subCategory | Fugitive |
| subCategory | Gambling |
| subCategory | HumanRightsViolation |
| subCategory | InterstateCommerceViolation |
| subCategory | LabourViolation |
| subCategory | PharmaTrafficking |
| subCategory | Piracy |
| subCategory | UnauthorisedIncident |
| subCategory | FormerSanctions |
| subCategory | All |
| decision | NotReviewed |
| decision | Match |
| decision | NoMatch |
| decision | NotSure |
| decision | All |
| risk | High |
| risk | Medium |
| risk | Low |
| risk | Unallocated |
| risk | All |
| monitoringStatus | NewMatches |
| monitoringStatus | UpdatedMatches |
| monitoringStatus | RemovedMatches |
| monitoringStatus | NoChanges |
| monitoringStatus | All |
| idvStatus | NotVerified |
| idvStatus | Verified |
| idvStatus | Pass |
| idvStatus | PartialPass |
| idvStatus | Fail |
| idvStatus | Pending |
| idvStatus | Incomplete |
| idvStatus | NotRequested |
| idvStatus | ReviewRequired |
| idvStatus | InvalidData |
| idvStatus | TechnicalError |
| idvStatus | All |
| idvFaceMatchStatus | Pass |
| idvFaceMatchStatus | Review |
| idvFaceMatchStatus | Fail |
| idvFaceMatchStatus | Pending |
| idvFaceMatchStatus | Incomplete |
| idvFaceMatchStatus | NotRequested |
| idvFaceMatchStatus | Verified |
| idvFaceMatchStatus | NotVerified |
| idvFaceMatchStatus | All |
| dataSources | MemberCheck |
| dataSources | Acuris |
| dataSources | LexisNexis |
Example responses
200 Response
[
{
"date": "2019-08-24T14:15:22Z",
"scanType": "Single",
"matchType": "Close",
"whitelist": "Apply",
"residence": "Ignore",
"blankAddress": "ApplyResidenceCountry",
"pepJurisdiction": "Apply",
"excludeDeceasedPersons": "No",
"scanService": "PepAndSanction",
"idvStatus": "NotVerified",
"idvFaceMatchStatus": "Pass",
"supportingDocumentNames": [
"string"
],
"scanId": 0,
"matches": 0,
"decisions": {
"match": 0,
"noMatch": 0,
"notSure": 0,
"notReviewed": 0,
"risk": "string"
},
"category": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"scriptNameFullName": "string",
"dob": "string",
"clientId": "string",
"monitor": true,
"monitoringStatus": "NewMatches",
"monitoringReviewStatus": true,
"amlRiskLevel": "None"
}
]
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Array of ScanHistoryLog; lists the scan match results for the scans that you searched for. The returned scanId should be used in GET /member-scans/single/{id} API method to obtain details of each scan. |
Inline |
| 400 | Bad Request | Validation error — check response body for field-level error details. | None |
| 401 | Unauthorized | Authentication failed — access token is missing, expired, or invalid. | None |
| 500 | Internal Server Error | Internal server error — an unexpected error occurred. Retry or contact support. | None |
Response Schema
Status Code 200
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| anonymous | [ScanHistoryLog] | false | none | [Represents member scan history data.] |
| » date | string(date-time) | true | none | Date of scan. |
| » scanType | string¦null | false | none | Scan type. |
| » matchType | string¦null | false | none | Match type scanned. |
| » whitelist | string¦null | false | none | Whitelist policy used for scan. |
| » residence | string¦null | false | none | Address policy used for scan. |
| » blankAddress | string¦null | false | none | Blank address policy used for scan. |
| » pepJurisdiction | string¦null | false | none | PEP jurisdiction used for scan. |
| » excludeDeceasedPersons | string¦null | false | none | Exclude deceased persons policy used for scan. |
| » scanService | string¦null | false | none | none |
| » idvStatus | string¦null | false | none | ID Check result status of ID Verification scans. Only applicable for IDVerification scanService. |
| » idvFaceMatchStatus | string¦null | false | none | FaceMatch result status of ID Verification scans. Only applicable for IDVerification scanService. |
| » supportingDocumentNames | [string]¦null | false | none | List of supporting document names of a specific scan. |
| » scanId | integer(int32) | true | none | The identifier of this scan. It should be used when requesting the GET /member-scans/single/{id} API method to get details of this member scan. |
| » matches | integer(int32)¦null | false | none | Number of matches found for the member. |
| » decisions | DecisionInfo¦null | false | none | The due diligence decisions count and risk information. |
| »» match | integer(int32) | false | none | Number of Match decisions. |
| »» noMatch | integer(int32) | false | none | Number of No Match decisions. |
| »» notSure | integer(int32) | false | none | Number of Not Sure decisions. |
| »» notReviewed | integer(int32) | false | none | Number of Not Reviewed decisions. |
| »» risk | string¦null | false | none | Assessed risk on Match or NotSure decisions. Combination of H for High, M for Medium and L for Low. |
| » category | string¦null | false | none | The categories the matched record belongs to, which can be one or a combination of the following: TER, PEP, POI, SIP, RCA. |
| » firstName | string¦null | false | none | The member first name scanned. |
| » middleName | string¦null | false | none | The member middle name scanned (if available). |
| » lastName | string¦null | false | none | The member last name scanned. |
| » scriptNameFullName | string¦null | false | none | The member original script / full name scanned. |
| » dob | string¦null | false | none | The member date of birth scanned. |
| » clientId | string¦null | false | none | The client id scanned. |
| » monitor | boolean¦null | false | none | Indicates if the member is being actively monitored. This property is returned for request pageSize of 100 and less. |
| » monitoringStatus | string¦null | false | none | Indicates monitoring update status (if available). |
| » monitoringReviewStatus | boolean¦null | false | none | Indicates monitoring review status (if available). |
| » amlRiskLevel | string¦null | false | none | Represents the risk level based on risk assessment analysis. |
Enumerated Values
| Property | Value |
|---|---|
| scanType | Single |
| scanType | Batch |
| scanType | Automatic |
| scanType | MonitoringRescan |
| matchType | Close |
| matchType | Exact |
| matchType | ExactMidName |
| whitelist | Apply |
| whitelist | Ignore |
| residence | Ignore |
| residence | ApplyPEP |
| residence | ApplySIP |
| residence | ApplyRCA |
| residence | ApplyPOI |
| residence | ApplyAll |
| blankAddress | ApplyResidenceCountry |
| blankAddress | Ignore |
| pepJurisdiction | Apply |
| pepJurisdiction | Ignore |
| excludeDeceasedPersons | No |
| excludeDeceasedPersons | Yes |
| scanService | PepAndSanction |
| scanService | IDVerification |
| scanService | RiskAssessment |
| idvStatus | NotVerified |
| idvStatus | Verified |
| idvStatus | Pass |
| idvStatus | PartialPass |
| idvStatus | Fail |
| idvStatus | Pending |
| idvStatus | Incomplete |
| idvStatus | NotRequested |
| idvStatus | ReviewRequired |
| idvStatus | InvalidData |
| idvStatus | TechnicalError |
| idvStatus | All |
| idvFaceMatchStatus | Pass |
| idvFaceMatchStatus | Review |
| idvFaceMatchStatus | Fail |
| idvFaceMatchStatus | Pending |
| idvFaceMatchStatus | Incomplete |
| idvFaceMatchStatus | NotRequested |
| idvFaceMatchStatus | Verified |
| idvFaceMatchStatus | NotVerified |
| idvFaceMatchStatus | All |
| monitoringStatus | NewMatches |
| monitoringStatus | UpdatedMatches |
| monitoringStatus | RemovedMatches |
| monitoringStatus | NoChanges |
| monitoringStatus | All |
| amlRiskLevel | None |
| amlRiskLevel | Low |
| amlRiskLevel | Medium |
| amlRiskLevel | High |
| amlRiskLevel | Sanctions |
Member Single Scans History Report
Code samples
# You can also use wget
curl -X GET https://demo.api.membercheck.com/api/v3/member-scans/single/report \
-H 'X-Request-OrgId: string' \
-H 'X-Request-Language: string' \
-H 'Authorization: Bearer {access-token}'
GET https://demo.api.membercheck.com/api/v3/member-scans/single/report HTTP/1.1
X-Request-OrgId: string
X-Request-Language: string
const headers = {
'X-Request-OrgId':'string',
'X-Request-Language':'string',
'Authorization':'Bearer {access-token}'
};
fetch('https://demo.api.membercheck.com/api/v3/member-scans/single/report',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'X-Request-OrgId' => 'string',
'X-Request-Language' => 'string',
'Authorization' => 'Bearer {access-token}'
}
result = RestClient.get 'https://demo.api.membercheck.com/api/v3/member-scans/single/report',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'X-Request-OrgId': 'string',
'X-Request-Language': 'string',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://demo.api.membercheck.com/api/v3/member-scans/single/report', headers = headers)
print(r.json())
URL obj = new URL("https://demo.api.membercheck.com/api/v3/member-scans/single/report");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"X-Request-OrgId": []string{"string"},
"X-Request-Language": []string{"string"},
"Authorization": []string{"Bearer {access-token}"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://demo.api.membercheck.com/api/v3/member-scans/single/report", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /api/v3/member-scans/single/report
Downloads a report of list of member scan history in Excel, Word, PDF or CSV.
Member Scan - Scan History - Report Download a report of scans based on specified filters for the selected organisation. Returns all records in CSV format, but up to 10,000 records in other formats.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| format | query | string | false | Specify the report file format. Options are PDF, Excel, Word and CSV. If no format is defined, the default is PDF. |
| includeResultsSummary | query | boolean | false | Include matched result entities information or not. Only applicable for CSV format. |
| userId | query | integer(int32) | false | Scan user id. |
| from | query | string | false | Scan date from (DD/MM/YYYY). |
| to | query | string | false | Scan date to (DD/MM/YYYY). |
| firstName | query | string | false | All or part of First Name. Only enter Latin or Roman scripts in this parameter. |
| middleName | query | string | false | All or part of Middle Name. Only enter Latin or Roman scripts in this parameter. |
| lastName | query | string | false | Full Last Name. Only enter Latin or Roman scripts in this parameter. |
| scriptNameFullName | query | string | false | Full Original Script Name or Full Name. Only enter original script or full name in this parameter (i.e. Chinese, Japanese, Cyrillic, Arabic etc). |
| clientId | query | string | false | All or part of Client ID. |
| idNumber | query | string | false | Full ID Number. |
| scanType | query | array[string] | false | Scan Type. See supported values below. |
| scanService | query | array[string] | false | Scan Service type. See supported values below. |
| matchType | query | array[string] | false | Match Type. See supported values below. |
| whitelistPolicy | query | array[string] | false | Whitelist Policy. See supported values below. |
| includeWebSearch | query | array[string] | false | Web Search included or not. See supported values below. |
| includeAdvancedMedia | query | array[string] | false | Advanced Media Search included or not. See supported values below. |
| scanResult | query | array[string] | false | Scan Result Matched or Not Matched. |
| category | query | array[string] | false | Category of entity in scan result. See supported values below. |
| subCategory | query | array[string] | false | SIP subcategories of entity in scan result. See supported values below. |
| decision | query | array[string] | false | Due diligence decision of scan result. See supported values below. |
| risk | query | array[string] | false | Assessed risk level of scan result. See supported values below. |
| monitoringStatus | query | array[string] | false | Monitoring update status (if available). See supported values below. |
| idvStatus | query | array[string] | false | ID Verification result status. Only applicable for IDVerification scanService. See supported values below. |
| idvFaceMatchStatus | query | array[string] | false | FaceMatch Verification result status. Only applicable for IDVerification scanService. See supported values below. |
| dataSources | query | array[string] | false | Data Sources of scan. See supported values below. |
| X-Request-OrgId | header | string | false | Unique organisation identifier. This is optional and your default organisation will be used if not specified. You can specify the relevant Organisation ID if you are assigned to multiple organisations. |
| X-Request-Language | header | string | false | This field is optional and used to specify the language in which report will be downloaded (English (EN), Français (FR), العربیة (AR), 中文(简体)(ZH), 日本語 (JA), Español (ES)). If not specified, the default language English (EN) will be used. |
Detailed descriptions
X-Request-Language: This field is optional and used to specify the language in which report will be downloaded (English (EN), Français (FR), العربیة (AR), 中文(简体)(ZH), 日本語 (JA), Español (ES)). If not specified, the default language English (EN) will be used.
Supported values: EN, FR, ZH, AR, JA, ES.
Enumerated Values
| Parameter | Value |
|---|---|
| format | |
| format | Word |
| format | Excel |
| format | CSV |
| scanType | Single |
| scanType | Batch |
| scanType | Automatic |
| scanType | MonitoringRescan |
| scanService | PepAndSanction |
| scanService | IDVerification |
| scanService | RiskAssessment |
| matchType | Close |
| matchType | Exact |
| matchType | ExactMidName |
| whitelistPolicy | Apply |
| whitelistPolicy | Ignore |
| includeWebSearch | No |
| includeWebSearch | Yes |
| includeAdvancedMedia | No |
| includeAdvancedMedia | Yes |
| scanResult | NoMatchesFound |
| scanResult | MatchesFound |
| category | TER |
| category | PEP |
| category | SIP |
| category | RCA |
| category | POI |
| category | All |
| subCategory | SanctionsLists |
| subCategory | LawEnforcement |
| subCategory | RegulatoryEnforcement |
| subCategory | OrganisedCrime |
| subCategory | FinancialCrime |
| subCategory | NarcoticsCrime |
| subCategory | ModernSlavery |
| subCategory | BriberyAndCorruption |
| subCategory | CyberCrime |
| subCategory | DisqualifiedDirectors |
| subCategory | ReputationalRisk |
| subCategory | Other |
| subCategory | Insolvency |
| subCategory | CustomWatchlist |
| subCategory | WarCrimes |
| subCategory | EndUseControl |
| subCategory | EnvironmentalCrime |
| subCategory | Fugitive |
| subCategory | Gambling |
| subCategory | HumanRightsViolation |
| subCategory | InterstateCommerceViolation |
| subCategory | LabourViolation |
| subCategory | PharmaTrafficking |
| subCategory | Piracy |
| subCategory | UnauthorisedIncident |
| subCategory | FormerSanctions |
| subCategory | All |
| decision | NotReviewed |
| decision | Match |
| decision | NoMatch |
| decision | NotSure |
| decision | All |
| risk | High |
| risk | Medium |
| risk | Low |
| risk | Unallocated |
| risk | All |
| monitoringStatus | NewMatches |
| monitoringStatus | UpdatedMatches |
| monitoringStatus | RemovedMatches |
| monitoringStatus | NoChanges |
| monitoringStatus | All |
| idvStatus | NotVerified |
| idvStatus | Verified |
| idvStatus | Pass |
| idvStatus | PartialPass |
| idvStatus | Fail |
| idvStatus | Pending |
| idvStatus | Incomplete |
| idvStatus | NotRequested |
| idvStatus | ReviewRequired |
| idvStatus | InvalidData |
| idvStatus | TechnicalError |
| idvStatus | All |
| idvFaceMatchStatus | Pass |
| idvFaceMatchStatus | Review |
| idvFaceMatchStatus | Fail |
| idvFaceMatchStatus | Pending |
| idvFaceMatchStatus | Incomplete |
| idvFaceMatchStatus | NotRequested |
| idvFaceMatchStatus | Verified |
| idvFaceMatchStatus | NotVerified |
| idvFaceMatchStatus | All |
| dataSources | MemberCheck |
| dataSources | Acuris |
| dataSources | LexisNexis |
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Report file byte array. | None |
| 400 | Bad Request | Validation error — check response body for field-level error details. | None |
| 401 | Unauthorized | Authentication failed — access token is missing, expired, or invalid. | None |
| 500 | Internal Server Error | Internal server error — an unexpected error occurred. Retry or contact support. | None |
Member Scan Details
Code samples
# You can also use wget
curl -X GET https://demo.api.membercheck.com/api/v3/member-scans/single/{id} \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
GET https://demo.api.membercheck.com/api/v3/member-scans/single/{id} HTTP/1.1
Accept: application/json
const headers = {
'Accept':'application/json',
'Authorization':'Bearer {access-token}'
};
fetch('https://demo.api.membercheck.com/api/v3/member-scans/single/{id}',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'Bearer {access-token}'
}
result = RestClient.get 'https://demo.api.membercheck.com/api/v3/member-scans/single/{id}',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://demo.api.membercheck.com/api/v3/member-scans/single/{id}', headers = headers)
print(r.json())
URL obj = new URL("https://demo.api.membercheck.com/api/v3/member-scans/single/{id}");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"Bearer {access-token}"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://demo.api.membercheck.com/api/v3/member-scans/single/{id}", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /api/v3/member-scans/single/{id}
Returns details of a specific member scan.
Member Scan - Scan History - Detail of Scan History returns details of the Scan Parameters used and member information that was scanned and lists Found Entities that were identified from the Watchlists as possible matches.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer(int32) | true | The identifier of a specific member scan. The GET /member-scans/single or POST /member-scans/single API method response class returns this identifier in scanId. |
| fields | query | string | false | To retrieve specific fields in the response, use this parameter. Default value is scanParam, scanResult, resultEntities, you can also request decisions field. |
| category | query | array[string] | false | Category of entity in scan result. See supported values below. |
| subCategory | query | array[string] | false | SIP subcategories of entity in scan result. See supported values below. |
Enumerated Values
| Parameter | Value |
|---|---|
| category | TER |
| category | PEP |
| category | SIP |
| category | RCA |
| category | POI |
| category | All |
| subCategory | SanctionsLists |
| subCategory | LawEnforcement |
| subCategory | RegulatoryEnforcement |
| subCategory | OrganisedCrime |
| subCategory | FinancialCrime |
| subCategory | NarcoticsCrime |
| subCategory | ModernSlavery |
| subCategory | BriberyAndCorruption |
| subCategory | CyberCrime |
| subCategory | DisqualifiedDirectors |
| subCategory | ReputationalRisk |
| subCategory | Other |
| subCategory | Insolvency |
| subCategory | CustomWatchlist |
| subCategory | WarCrimes |
| subCategory | EndUseControl |
| subCategory | EnvironmentalCrime |
| subCategory | Fugitive |
| subCategory | Gambling |
| subCategory | HumanRightsViolation |
| subCategory | InterstateCommerceViolation |
| subCategory | LabourViolation |
| subCategory | PharmaTrafficking |
| subCategory | Piracy |
| subCategory | UnauthorisedIncident |
| subCategory | FormerSanctions |
| subCategory | All |
Example responses
200 Response
{
"scanParam": {
"scanType": "Single",
"scanService": "PepAndSanction",
"organisation": "string",
"user": "string",
"date": "2019-08-24T14:15:22Z",
"defaultCountryOfResidence": "string",
"pepJurisdictionCountries": "string",
"isPepJurisdictionExclude": true,
"watchLists": [
"string"
],
"watchlistsNote": "string",
"matchType": "Close",
"closeMatchRateThreshold": 80,
"whitelist": "Apply",
"residence": "Ignore",
"blankAddress": "ApplyResidenceCountry",
"pepJurisdiction": "Apply",
"excludeDeceasedPersons": "No",
"clientId": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"scriptNameFullName": "string",
"gender": "string",
"dob": "DD/MM/YYYY",
"dobTolerance": 0,
"idNumber": "string",
"address": "string",
"country": [
"AU",
"NZ",
"DE",
"ID",
"OM"
],
"nationality": [
"AU",
"NZ",
"DE",
"ID",
"OM"
],
"includeResultEntities": "Yes",
"updateMonitoringList": "No",
"includeWebSearch": "No",
"includeAdvancedMedia": "No",
"dataBreachCheckParam": {
"emailAddress": "string"
},
"idvParam": {
"mobileNumber": "string",
"emailAddress": "string",
"country": {
"code": "string"
},
"idvType": "IDCheck",
"idvSubType": "IDCheck_Sms",
"allowDuplicateIDVScan": true,
"verificationProcess": "StepByStep",
"consent": true,
"idvDataSource": "AuGovtVerification",
"idvAssuranceLevel": "SingleSource",
"subscriberCode": "string",
"parentOrigin": "string"
},
"includeJurisdictionRisk": "No",
"dataSources": "Acuris",
"watchlists": [
"string"
],
"includeRiskAssessment": "No",
"ignoreBlankPolicy": "DOB"
},
"scanResult": {
"metadata": {
"message": "string",
"advancedMediaError": "string"
},
"scanId": 0,
"resultUrl": "string",
"dataSources": "Acuris",
"matchedNumber": 0,
"idvUrl": "string",
"matchedEntities": [
{
"resultId": 0,
"uniqueId": 0,
"resultEntity": {
"uniqueId": 0,
"dataSource": "string",
"category": "string",
"categories": "string",
"subcategory": "string",
"suggestedRisk": "Unallocated",
"gender": "string",
"deceased": "string",
"primaryFirstName": "string",
"primaryMiddleName": "string",
"primaryLastName": "string",
"position": "string",
"dateOfBirth": "string",
"deceasedDate": "string",
"placeOfBirth": "string",
"primaryLocation": "string",
"images": [
"string"
],
"generalInfo": {
"property1": "string",
"property2": "string"
},
"furtherInformation": "string",
"lastReviewed": "string",
"descriptions": [
{
"description1": "string",
"description2": "string",
"description3": "string"
}
],
"nameDetails": [
{
"nameType": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string"
}
],
"roles": [
{
"title": "string",
"segment": "string",
"type": "string",
"status": "string",
"country": "string",
"from": "string",
"to": "string"
}
],
"importantDates": [
{
"dateType": "string",
"dateValue": "string"
}
],
"nationalities": [
"string"
],
"nationalitiesCodes": [
"string"
],
"locations": [
{
"country": "string",
"countryCode": "string",
"city": "string",
"address": "string",
"type": "string"
}
],
"countries": [
{
"countryType": "string",
"countryValue": "string"
}
],
"officialLists": [
{
"keyword": "string",
"category": "string",
"description": "string",
"country": "string",
"origin": "string",
"measures": "string",
"types": "string",
"isCurrent": true
}
],
"idNumbers": [
{
"type": "string",
"idNotes": "string",
"number": "string"
}
],
"identifiers": [
{
"type": "string",
"country": "string",
"value": "string",
"issuer": "string",
"issueDate": "string",
"expirationDate": "string"
}
],
"disqualifiedDirectors": [
{
"caseReference": "string",
"company": "string",
"reason": "string",
"from": "string",
"to": "string"
}
],
"profileOfInterests": [
{
"category": "string",
"positions": [
{
"position": "string",
"segment": "string",
"country": "string",
"from": "string",
"to": "string"
}
]
}
],
"sources": [
{
"url": "string",
"categories": "string",
"details": [
{
"id": "string",
"categories": "string",
"originalUrl": "string",
"title": "string",
"credibility": "string",
"language": "string",
"summary": "string",
"keywords": "string",
"captureDate": "string",
"publicationDate": "string",
"assetUrl": "string",
"isCopyrighted": true
}
],
"type": "string"
}
],
"linkedIndividuals": [
{
"id": 0,
"firstName": "string",
"middleName": "string",
"lastName": "string",
"category": "string",
"subcategories": "string",
"description": "string",
"suggestedRisk": "Unallocated"
}
],
"linkedCompanies": [
{
"id": 0,
"name": "string",
"category": "string",
"subcategories": "string",
"description": "string",
"suggestedRisk": "Unallocated"
}
],
"taxHavenCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string"
}
],
"sanctionedCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string",
"isBlackList": true,
"isGreyList": true
}
]
},
"monitoredOldEntity": {
"uniqueId": 0,
"dataSource": "string",
"category": "string",
"categories": "string",
"subcategory": "string",
"suggestedRisk": "Unallocated",
"gender": "string",
"deceased": "string",
"primaryFirstName": "string",
"primaryMiddleName": "string",
"primaryLastName": "string",
"position": "string",
"dateOfBirth": "string",
"deceasedDate": "string",
"placeOfBirth": "string",
"primaryLocation": "string",
"images": [
"string"
],
"generalInfo": {
"property1": "string",
"property2": "string"
},
"furtherInformation": "string",
"lastReviewed": "string",
"descriptions": [
{
"description1": "string",
"description2": "string",
"description3": "string"
}
],
"nameDetails": [
{
"nameType": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string"
}
],
"roles": [
{
"title": "string",
"segment": "string",
"type": "string",
"status": "string",
"country": "string",
"from": "string",
"to": "string"
}
],
"importantDates": [
{
"dateType": "string",
"dateValue": "string"
}
],
"nationalities": [
"string"
],
"nationalitiesCodes": [
"string"
],
"locations": [
{
"country": "string",
"countryCode": "string",
"city": "string",
"address": "string",
"type": "string"
}
],
"countries": [
{
"countryType": "string",
"countryValue": "string"
}
],
"officialLists": [
{
"keyword": "string",
"category": "string",
"description": "string",
"country": "string",
"origin": "string",
"measures": "string",
"types": "string",
"isCurrent": true
}
],
"idNumbers": [
{
"type": "string",
"idNotes": "string",
"number": "string"
}
],
"identifiers": [
{
"type": "string",
"country": "string",
"value": "string",
"issuer": "string",
"issueDate": "string",
"expirationDate": "string"
}
],
"disqualifiedDirectors": [
{
"caseReference": "string",
"company": "string",
"reason": "string",
"from": "string",
"to": "string"
}
],
"profileOfInterests": [
{
"category": "string",
"positions": [
{
"position": "string",
"segment": "string",
"country": "string",
"from": "string",
"to": "string"
}
]
}
],
"sources": [
{
"url": "string",
"categories": "string",
"details": [
{
"id": "string",
"categories": "string",
"originalUrl": "string",
"title": "string",
"credibility": "string",
"language": "string",
"summary": "string",
"keywords": "string",
"captureDate": "string",
"publicationDate": "string",
"assetUrl": "string",
"isCopyrighted": true
}
],
"type": "string"
}
],
"linkedIndividuals": [
{
"id": 0,
"firstName": "string",
"middleName": "string",
"lastName": "string",
"category": "string",
"subcategories": "string",
"description": "string",
"suggestedRisk": "Unallocated"
}
],
"linkedCompanies": [
{
"id": 0,
"name": "string",
"category": "string",
"subcategories": "string",
"description": "string",
"suggestedRisk": "Unallocated"
}
],
"taxHavenCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string"
}
],
"sanctionedCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string",
"isBlackList": true,
"isGreyList": true
}
]
},
"monitoringStatus": "NewMatches",
"matchedFields": "string",
"category": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"matchRate": 0,
"dob": "string",
"primaryLocation": "string",
"decisionDetail": {
"text": "string",
"matchDecision": "Match",
"assessedRisk": "Unallocated",
"comment": "string"
},
"aiAnalysisQuestionCount": 0,
"taxHavenCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string"
}
],
"sanctionedCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string",
"isBlackList": true,
"isGreyList": true
}
]
}
],
"webSearchResults": [
{
"title": "string",
"snippet": "string",
"mime": "string",
"link": "string",
"kind": "string",
"htmlTitle": "string",
"htmlSnippet": "string",
"htmlFormattedUrl": "string",
"formattedUrl": "string",
"fileFormat": "string",
"displayLink": "string"
}
],
"advancedMediaResults": [
{
"articleId": 0,
"siteId": 0,
"wordCount": "string",
"author": "string",
"link": "string",
"title": "string",
"publishedDate": "string",
"sourceName": "string",
"summary": "string",
"body": "string",
"readCount": "string",
"articleImages": [
"string"
],
"bookmarkId": 0,
"isBookmarked": true
}
],
"dataBreachCheckResults": [
{
"name": "string",
"domain": "string",
"breachDate": "string",
"description": "string",
"logoPath": "string",
"dataClasses": [
"string"
]
}
],
"fatfJurisdictionRiskResults": [
{
"jurisdiction": "string",
"effectivenessScore": 0,
"effectivenessLevel": 0,
"complianceScore": 0,
"complianceLevel": 0,
"comments": "string",
"fatfCompliance": "string",
"fatfComplianceNotes": "string",
"fatfEffectiveness": "string",
"fatfEffectivenessNotes": "string",
"fatfEffectivenessSubtitles": "string",
"fatfBlackGreyRisk": 0,
"countryCode": "string"
}
],
"monitoringReviewStatus": true,
"monitoringReviewSummary": "string",
"supportingDocumentDetails": {
"documents": [
{
"id": 0,
"fileName": "string",
"uploadedBy": "string",
"fileSize": 0,
"date": "2019-08-24T14:15:22Z",
"comment": "string",
"isPinned": true,
"documentType": "string",
"documentTypeDescription": "string"
}
],
"historyAvailable": true
}
},
"decisions": {
"match": 0,
"noMatch": 0,
"notSure": 0,
"notReviewed": 0,
"risk": "string"
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | ScanHistoryDetail; details of the Scan Parameters used and member information that was scanned and lists Found Entities that were identified from the Watchlists as possible matches. The returned scanResult.matchedEntities.resultId of each matched entity should be used in GET /member-scans/single/results/{id} API method to obtain entity profile information. |
ScanHistoryDetail |
| 400 | Bad Request | Validation error — check response body for field-level error details. | None |
| 401 | Unauthorized | Authentication failed — access token is missing, expired, or invalid. | None |
| 403 | Forbidden | Authorization denied — the authenticated user does not have permission. | None |
| 404 | Not Found | Resource not found — the requested resource does not exist or is inaccessible. | None |
| 500 | Internal Server Error | Internal server error — an unexpected error occurred. Retry or contact support. | None |
Member Single Rescan
Code samples
# You can also use wget
curl -X POST https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/rescan \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
POST https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/rescan HTTP/1.1
Accept: application/json
const headers = {
'Accept':'application/json',
'Authorization':'Bearer {access-token}'
};
fetch('https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/rescan',
{
method: 'POST',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'Bearer {access-token}'
}
result = RestClient.post 'https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/rescan',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.post('https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/rescan', headers = headers)
print(r.json())
URL obj = new URL("https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/rescan");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"Bearer {access-token}"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/rescan", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /api/v3/member-scans/single/{id}/rescan
Performs member rescan based on previously scanned data.
Member Scan - Scan History - Rescan allows you to rescan members based on previously scanned data.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer(int32) | true | The identifier of a specific member scan. The GET /member-scans/single or POST /member-scans/single API method response class returns this identifier in scanId. |
Example responses
200 Response
{
"scanParam": {
"scanType": "Single",
"scanService": "PepAndSanction",
"organisation": "string",
"user": "string",
"date": "2019-08-24T14:15:22Z",
"defaultCountryOfResidence": "string",
"pepJurisdictionCountries": "string",
"isPepJurisdictionExclude": true,
"watchLists": [
"string"
],
"watchlistsNote": "string",
"matchType": "Close",
"closeMatchRateThreshold": 80,
"whitelist": "Apply",
"residence": "Ignore",
"blankAddress": "ApplyResidenceCountry",
"pepJurisdiction": "Apply",
"excludeDeceasedPersons": "No",
"clientId": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"scriptNameFullName": "string",
"gender": "string",
"dob": "DD/MM/YYYY",
"dobTolerance": 0,
"idNumber": "string",
"address": "string",
"country": [
"AU",
"NZ",
"DE",
"ID",
"OM"
],
"nationality": [
"AU",
"NZ",
"DE",
"ID",
"OM"
],
"includeResultEntities": "Yes",
"updateMonitoringList": "No",
"includeWebSearch": "No",
"includeAdvancedMedia": "No",
"dataBreachCheckParam": {
"emailAddress": "string"
},
"idvParam": {
"mobileNumber": "string",
"emailAddress": "string",
"country": {
"code": "string"
},
"idvType": "IDCheck",
"idvSubType": "IDCheck_Sms",
"allowDuplicateIDVScan": true,
"verificationProcess": "StepByStep",
"consent": true,
"idvDataSource": "AuGovtVerification",
"idvAssuranceLevel": "SingleSource",
"subscriberCode": "string",
"parentOrigin": "string"
},
"includeJurisdictionRisk": "No",
"dataSources": "Acuris",
"watchlists": [
"string"
],
"includeRiskAssessment": "No",
"ignoreBlankPolicy": "DOB"
},
"scanResult": {
"metadata": {
"message": "string",
"advancedMediaError": "string"
},
"scanId": 0,
"resultUrl": "string",
"dataSources": "Acuris",
"matchedNumber": 0,
"idvUrl": "string",
"matchedEntities": [
{
"resultId": 0,
"uniqueId": 0,
"resultEntity": {
"uniqueId": 0,
"dataSource": "string",
"category": "string",
"categories": "string",
"subcategory": "string",
"suggestedRisk": "Unallocated",
"gender": "string",
"deceased": "string",
"primaryFirstName": "string",
"primaryMiddleName": "string",
"primaryLastName": "string",
"position": "string",
"dateOfBirth": "string",
"deceasedDate": "string",
"placeOfBirth": "string",
"primaryLocation": "string",
"images": [
"string"
],
"generalInfo": {
"property1": "string",
"property2": "string"
},
"furtherInformation": "string",
"lastReviewed": "string",
"descriptions": [
{
"description1": "string",
"description2": "string",
"description3": "string"
}
],
"nameDetails": [
{
"nameType": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string"
}
],
"roles": [
{
"title": "string",
"segment": "string",
"type": "string",
"status": "string",
"country": "string",
"from": "string",
"to": "string"
}
],
"importantDates": [
{
"dateType": "string",
"dateValue": "string"
}
],
"nationalities": [
"string"
],
"nationalitiesCodes": [
"string"
],
"locations": [
{
"country": "string",
"countryCode": "string",
"city": "string",
"address": "string",
"type": "string"
}
],
"countries": [
{
"countryType": "string",
"countryValue": "string"
}
],
"officialLists": [
{
"keyword": "string",
"category": "string",
"description": "string",
"country": "string",
"origin": "string",
"measures": "string",
"types": "string",
"isCurrent": true
}
],
"idNumbers": [
{
"type": "string",
"idNotes": "string",
"number": "string"
}
],
"identifiers": [
{
"type": "string",
"country": "string",
"value": "string",
"issuer": "string",
"issueDate": "string",
"expirationDate": "string"
}
],
"disqualifiedDirectors": [
{
"caseReference": "string",
"company": "string",
"reason": "string",
"from": "string",
"to": "string"
}
],
"profileOfInterests": [
{
"category": "string",
"positions": [
{
"position": "string",
"segment": "string",
"country": "string",
"from": "string",
"to": "string"
}
]
}
],
"sources": [
{
"url": "string",
"categories": "string",
"details": [
{
"id": "string",
"categories": "string",
"originalUrl": "string",
"title": "string",
"credibility": "string",
"language": "string",
"summary": "string",
"keywords": "string",
"captureDate": "string",
"publicationDate": "string",
"assetUrl": "string",
"isCopyrighted": true
}
],
"type": "string"
}
],
"linkedIndividuals": [
{
"id": 0,
"firstName": "string",
"middleName": "string",
"lastName": "string",
"category": "string",
"subcategories": "string",
"description": "string",
"suggestedRisk": "Unallocated"
}
],
"linkedCompanies": [
{
"id": 0,
"name": "string",
"category": "string",
"subcategories": "string",
"description": "string",
"suggestedRisk": "Unallocated"
}
],
"taxHavenCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string"
}
],
"sanctionedCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string",
"isBlackList": true,
"isGreyList": true
}
]
},
"monitoredOldEntity": {
"uniqueId": 0,
"dataSource": "string",
"category": "string",
"categories": "string",
"subcategory": "string",
"suggestedRisk": "Unallocated",
"gender": "string",
"deceased": "string",
"primaryFirstName": "string",
"primaryMiddleName": "string",
"primaryLastName": "string",
"position": "string",
"dateOfBirth": "string",
"deceasedDate": "string",
"placeOfBirth": "string",
"primaryLocation": "string",
"images": [
"string"
],
"generalInfo": {
"property1": "string",
"property2": "string"
},
"furtherInformation": "string",
"lastReviewed": "string",
"descriptions": [
{
"description1": "string",
"description2": "string",
"description3": "string"
}
],
"nameDetails": [
{
"nameType": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string"
}
],
"roles": [
{
"title": "string",
"segment": "string",
"type": "string",
"status": "string",
"country": "string",
"from": "string",
"to": "string"
}
],
"importantDates": [
{
"dateType": "string",
"dateValue": "string"
}
],
"nationalities": [
"string"
],
"nationalitiesCodes": [
"string"
],
"locations": [
{
"country": "string",
"countryCode": "string",
"city": "string",
"address": "string",
"type": "string"
}
],
"countries": [
{
"countryType": "string",
"countryValue": "string"
}
],
"officialLists": [
{
"keyword": "string",
"category": "string",
"description": "string",
"country": "string",
"origin": "string",
"measures": "string",
"types": "string",
"isCurrent": true
}
],
"idNumbers": [
{
"type": "string",
"idNotes": "string",
"number": "string"
}
],
"identifiers": [
{
"type": "string",
"country": "string",
"value": "string",
"issuer": "string",
"issueDate": "string",
"expirationDate": "string"
}
],
"disqualifiedDirectors": [
{
"caseReference": "string",
"company": "string",
"reason": "string",
"from": "string",
"to": "string"
}
],
"profileOfInterests": [
{
"category": "string",
"positions": [
{
"position": "string",
"segment": "string",
"country": "string",
"from": "string",
"to": "string"
}
]
}
],
"sources": [
{
"url": "string",
"categories": "string",
"details": [
{
"id": "string",
"categories": "string",
"originalUrl": "string",
"title": "string",
"credibility": "string",
"language": "string",
"summary": "string",
"keywords": "string",
"captureDate": "string",
"publicationDate": "string",
"assetUrl": "string",
"isCopyrighted": true
}
],
"type": "string"
}
],
"linkedIndividuals": [
{
"id": 0,
"firstName": "string",
"middleName": "string",
"lastName": "string",
"category": "string",
"subcategories": "string",
"description": "string",
"suggestedRisk": "Unallocated"
}
],
"linkedCompanies": [
{
"id": 0,
"name": "string",
"category": "string",
"subcategories": "string",
"description": "string",
"suggestedRisk": "Unallocated"
}
],
"taxHavenCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string"
}
],
"sanctionedCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string",
"isBlackList": true,
"isGreyList": true
}
]
},
"monitoringStatus": "NewMatches",
"matchedFields": "string",
"category": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"matchRate": 0,
"dob": "string",
"primaryLocation": "string",
"decisionDetail": {
"text": "string",
"matchDecision": "Match",
"assessedRisk": "Unallocated",
"comment": "string"
},
"aiAnalysisQuestionCount": 0,
"taxHavenCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string"
}
],
"sanctionedCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string",
"isBlackList": true,
"isGreyList": true
}
]
}
],
"webSearchResults": [
{
"title": "string",
"snippet": "string",
"mime": "string",
"link": "string",
"kind": "string",
"htmlTitle": "string",
"htmlSnippet": "string",
"htmlFormattedUrl": "string",
"formattedUrl": "string",
"fileFormat": "string",
"displayLink": "string"
}
],
"advancedMediaResults": [
{
"articleId": 0,
"siteId": 0,
"wordCount": "string",
"author": "string",
"link": "string",
"title": "string",
"publishedDate": "string",
"sourceName": "string",
"summary": "string",
"body": "string",
"readCount": "string",
"articleImages": [
"string"
],
"bookmarkId": 0,
"isBookmarked": true
}
],
"dataBreachCheckResults": [
{
"name": "string",
"domain": "string",
"breachDate": "string",
"description": "string",
"logoPath": "string",
"dataClasses": [
"string"
]
}
],
"fatfJurisdictionRiskResults": [
{
"jurisdiction": "string",
"effectivenessScore": 0,
"effectivenessLevel": 0,
"complianceScore": 0,
"complianceLevel": 0,
"comments": "string",
"fatfCompliance": "string",
"fatfComplianceNotes": "string",
"fatfEffectiveness": "string",
"fatfEffectivenessNotes": "string",
"fatfEffectivenessSubtitles": "string",
"fatfBlackGreyRisk": 0,
"countryCode": "string"
}
],
"monitoringReviewStatus": true,
"monitoringReviewSummary": "string",
"supportingDocumentDetails": {
"documents": [
{
"id": 0,
"fileName": "string",
"uploadedBy": "string",
"fileSize": 0,
"date": "2019-08-24T14:15:22Z",
"comment": "string",
"isPinned": true,
"documentType": "string",
"documentTypeDescription": "string"
}
],
"historyAvailable": true
}
},
"decisions": {
"match": 0,
"noMatch": 0,
"notSure": 0,
"notReviewed": 0,
"risk": "string"
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | ScanHistoryDetail |
| 201 | Created | ScanHistoryDetail; details of the Scan Parameters used and member information that was rescanned and lists Found Entities that were identified from the Watchlists as possible matches. The returned scanResult.matchedEntities.resultId of each matched entity should be used in GET /member-scans/single/results/{id} API method to obtain entity profile information. |
None |
| 400 | Bad Request | Validation error — check response body for field-level error details. | None |
| 401 | Unauthorized | Authentication failed — access token is missing, expired, or invalid. | None |
| 500 | Internal Server Error | Internal server error — an unexpected error occurred. Retry or contact support. | None |
Member Single Scan Report
Code samples
# You can also use wget
curl -X GET https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/report \
-H 'X-Request-Language: string' \
-H 'Authorization: Bearer {access-token}'
GET https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/report HTTP/1.1
X-Request-Language: string
const headers = {
'X-Request-Language':'string',
'Authorization':'Bearer {access-token}'
};
fetch('https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/report',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'X-Request-Language' => 'string',
'Authorization' => 'Bearer {access-token}'
}
result = RestClient.get 'https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/report',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'X-Request-Language': 'string',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/report', headers = headers)
print(r.json())
URL obj = new URL("https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/report");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"X-Request-Language": []string{"string"},
"Authorization": []string{"Bearer {access-token}"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/report", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /api/v3/member-scans/single/{id}/report
Downloads report file of Full Profile Information of the scanned entity.
Member Scan - Scan History - Report Downloads report file of information on the scanned entity.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer(int32) | true | The scan id of a specific scanned entity. |
| format | query | string | false | Specify the report file format. Options are PDF, Excel, Word. If no format is defined, the default is PDF. |
| X-Request-Language | header | string | false | This field is optional and used to specify the language in which report will be downloaded (English (EN), Français (FR), العربیة (AR), 中文(简体)(ZH), 日本語 (JA), Español (ES)). If not specified, the default language English (EN) will be used. |
Detailed descriptions
X-Request-Language: This field is optional and used to specify the language in which report will be downloaded (English (EN), Français (FR), العربیة (AR), 中文(简体)(ZH), 日本語 (JA), Español (ES)). If not specified, the default language English (EN) will be used.
Supported values: EN, FR, ZH, AR, JA, ES.
Enumerated Values
| Parameter | Value |
|---|---|
| format | |
| format | Word |
| format | Excel |
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Report file byte array. | None |
| 400 | Bad Request | Validation error — check response body for field-level error details. | None |
| 401 | Unauthorized | Authentication failed — access token is missing, expired, or invalid. | None |
| 403 | Forbidden | Authorization denied — the authenticated user does not have permission. | None |
| 404 | Not Found | Resource not found — the requested resource does not exist or is inaccessible. | None |
| 500 | Internal Server Error | Internal server error — an unexpected error occurred. Retry or contact support. | None |
Member Single Scan Result Details
Code samples
# You can also use wget
curl -X GET https://demo.api.membercheck.com/api/v3/member-scans/single/results/{id} \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
GET https://demo.api.membercheck.com/api/v3/member-scans/single/results/{id} HTTP/1.1
Accept: application/json
const headers = {
'Accept':'application/json',
'Authorization':'Bearer {access-token}'
};
fetch('https://demo.api.membercheck.com/api/v3/member-scans/single/results/{id}',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'Bearer {access-token}'
}
result = RestClient.get 'https://demo.api.membercheck.com/api/v3/member-scans/single/results/{id}',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://demo.api.membercheck.com/api/v3/member-scans/single/results/{id}', headers = headers)
print(r.json())
URL obj = new URL("https://demo.api.membercheck.com/api/v3/member-scans/single/results/{id}");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"Bearer {access-token}"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://demo.api.membercheck.com/api/v3/member-scans/single/results/{id}", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /api/v3/member-scans/single/results/{id}
Gets the Profile Information of the Entity (all available information from the watchlists).
Member Scan - Scan History - Found Entities Returns all available information on the Entity including General Information, Also Known As, Addresses, Roles, Important Dates, Countries, Official Lists, ID Numbers, Sources, Images, Relatives and Close Associates.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer(int32) | true | The result id of a specific matched member. The GET /member-scans/single/{id} API method response class returns this identifier in scanResult.matchedEntities.resultId. |
Example responses
200 Response
{
"id": 0,
"person": {
"uniqueId": 0,
"dataSource": "string",
"category": "string",
"categories": "string",
"subcategory": "string",
"suggestedRisk": "Unallocated",
"gender": "string",
"deceased": "string",
"primaryFirstName": "string",
"primaryMiddleName": "string",
"primaryLastName": "string",
"position": "string",
"dateOfBirth": "string",
"deceasedDate": "string",
"placeOfBirth": "string",
"primaryLocation": "string",
"images": [
"string"
],
"generalInfo": {
"property1": "string",
"property2": "string"
},
"furtherInformation": "string",
"lastReviewed": "string",
"descriptions": [
{
"description1": "string",
"description2": "string",
"description3": "string"
}
],
"nameDetails": [
{
"nameType": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string"
}
],
"roles": [
{
"title": "string",
"segment": "string",
"type": "string",
"status": "string",
"country": "string",
"from": "string",
"to": "string"
}
],
"importantDates": [
{
"dateType": "string",
"dateValue": "string"
}
],
"nationalities": [
"string"
],
"nationalitiesCodes": [
"string"
],
"locations": [
{
"country": "string",
"countryCode": "string",
"city": "string",
"address": "string",
"type": "string"
}
],
"countries": [
{
"countryType": "string",
"countryValue": "string"
}
],
"officialLists": [
{
"keyword": "string",
"category": "string",
"description": "string",
"country": "string",
"origin": "string",
"measures": "string",
"types": "string",
"isCurrent": true
}
],
"idNumbers": [
{
"type": "string",
"idNotes": "string",
"number": "string"
}
],
"identifiers": [
{
"type": "string",
"country": "string",
"value": "string",
"issuer": "string",
"issueDate": "string",
"expirationDate": "string"
}
],
"disqualifiedDirectors": [
{
"caseReference": "string",
"company": "string",
"reason": "string",
"from": "string",
"to": "string"
}
],
"profileOfInterests": [
{
"category": "string",
"positions": [
{
"position": "string",
"segment": "string",
"country": "string",
"from": "string",
"to": "string"
}
]
}
],
"sources": [
{
"url": "string",
"categories": "string",
"details": [
{
"id": "string",
"categories": "string",
"originalUrl": "string",
"title": "string",
"credibility": "string",
"language": "string",
"summary": "string",
"keywords": "string",
"captureDate": "string",
"publicationDate": "string",
"assetUrl": "string",
"isCopyrighted": true
}
],
"type": "string"
}
],
"linkedIndividuals": [
{
"id": 0,
"firstName": "string",
"middleName": "string",
"lastName": "string",
"category": "string",
"subcategories": "string",
"description": "string",
"suggestedRisk": "Unallocated"
}
],
"linkedCompanies": [
{
"id": 0,
"name": "string",
"category": "string",
"subcategories": "string",
"description": "string",
"suggestedRisk": "Unallocated"
}
],
"taxHavenCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string"
}
],
"sanctionedCountryResults": [
{
"isPrimaryLocation": true,
"countryCode": "string",
"comment": "string",
"url": "string",
"isBlackList": true,
"isGreyList": true
}
]
}
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | SingleScanResultDetail; Entity's Profile Information (all available information from the watchlists) including General Information, Also Known As, Addresses, Roles, Important Dates, Countries, Official Lists, ID Numbers, Sources, Images, Relatives and Close Associates. | SingleScanResultDetail |
| 400 | Bad Request | Validation error — check response body for field-level error details. | None |
| 401 | Unauthorized | Authentication failed — access token is missing, expired, or invalid. | None |
| 403 | Forbidden | Authorization denied — the authenticated user does not have permission. | None |
| 404 | Not Found | Resource not found — the requested resource does not exist or is inaccessible. | None |
| 500 | Internal Server Error | Internal server error — an unexpected error occurred. Retry or contact support. | None |
Member Single Scan Result Details Report
Code samples
# You can also use wget
curl -X GET https://demo.api.membercheck.com/api/v3/member-scans/single/results/{id}/report \
-H 'X-Request-Language: string' \
-H 'Authorization: Bearer {access-token}'
GET https://demo.api.membercheck.com/api/v3/member-scans/single/results/{id}/report HTTP/1.1
X-Request-Language: string
const headers = {
'X-Request-Language':'string',
'Authorization':'Bearer {access-token}'
};
fetch('https://demo.api.membercheck.com/api/v3/member-scans/single/results/{id}/report',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'X-Request-Language' => 'string',
'Authorization' => 'Bearer {access-token}'
}
result = RestClient.get 'https://demo.api.membercheck.com/api/v3/member-scans/single/results/{id}/report',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'X-Request-Language': 'string',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://demo.api.membercheck.com/api/v3/member-scans/single/results/{id}/report', headers = headers)
print(r.json())
URL obj = new URL("https://demo.api.membercheck.com/api/v3/member-scans/single/results/{id}/report");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"X-Request-Language": []string{"string"},
"Authorization": []string{"Bearer {access-token}"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://demo.api.membercheck.com/api/v3/member-scans/single/results/{id}/report", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /api/v3/member-scans/single/results/{id}/report
Downloads report file of Profile Information of the Entity.
Member Scan - Scan History - Found Entities - Report Downloads report file of all available information on the Entity including General Information, Also Known As, Addresses, Roles, Important Dates, Countries, Official Lists, ID Numbers, Sources, Images, Relatives and Close Associates.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer(int32) | true | The result id of a specific matched member. The GET /member-scans/single/{id} API method response class returns this identifier in scanResult.matchedEntities.resultId. |
| format | query | string | false | Specify the report file format. Options are PDF, Excel, Word. If no format is defined, the default is PDF. |
| X-Request-Language | header | string | false | This field is optional and used to specify the language in which report will be downloaded (English (EN), Français (FR), العربیة (AR), 中文(简体)(ZH), 日本語 (JA), Español (ES)). If not specified, the default language English (EN) will be used. |
Detailed descriptions
X-Request-Language: This field is optional and used to specify the language in which report will be downloaded (English (EN), Français (FR), العربیة (AR), 中文(简体)(ZH), 日本語 (JA), Español (ES)). If not specified, the default language English (EN) will be used.
Supported values: EN, FR, ZH, AR, JA, ES.
Enumerated Values
| Parameter | Value |
|---|---|
| format | |
| format | Word |
| format | Excel |
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Report file byte array. | None |
| 400 | Bad Request | Validation error — check response body for field-level error details. | None |
| 401 | Unauthorized | Authentication failed — access token is missing, expired, or invalid. | None |
| 403 | Forbidden | Authorization denied — the authenticated user does not have permission. | None |
| 404 | Not Found | Resource not found — the requested resource does not exist or is inaccessible. | None |
| 500 | Internal Server Error | Internal server error — an unexpected error occurred. Retry or contact support. | None |
Member Single Scan No Result Report
Code samples
# You can also use wget
curl -X GET https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/no-results-report \
-H 'X-Request-Language: string' \
-H 'Authorization: Bearer {access-token}'
GET https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/no-results-report HTTP/1.1
X-Request-Language: string
const headers = {
'X-Request-Language':'string',
'Authorization':'Bearer {access-token}'
};
fetch('https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/no-results-report',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'X-Request-Language' => 'string',
'Authorization' => 'Bearer {access-token}'
}
result = RestClient.get 'https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/no-results-report',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'X-Request-Language': 'string',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/no-results-report', headers = headers)
print(r.json())
URL obj = new URL("https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/no-results-report");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"X-Request-Language": []string{"string"},
"Authorization": []string{"Bearer {access-token}"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://demo.api.membercheck.com/api/v3/member-scans/single/{id}/no-results-report", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
GET /api/v3/member-scans/single/{id}/no-results-report
Downloads report file of no matches found scan.
Member Scan - Scan History - No Matches Entities - Report Downloads report file of no matches found scan.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer(int32) | true | The identifier of a specific member scan. The GET /member-scans/single or POST /member-scans/single API method response class returns this identifier in scanId. |
| format | query | string | false | Specify the report file format. Options are PDF, Excel, Word. If no format is defined, the default is PDF. |
| X-Request-Language | header | string | false | This field is optional and used to specify the language in which report will be downloaded (English (EN), Français (FR), العربیة (AR), 中文(简体)(ZH), 日本語 (JA), Español (ES)). If not specified, the default language English (EN) will be used. |
Detailed descriptions
X-Request-Language: This field is optional and used to specify the language in which report will be downloaded (English (EN), Français (FR), العربیة (AR), 中文(简体)(ZH), 日本語 (JA), Español (ES)). If not specified, the default language English (EN) will be used.
Supported values: EN, FR, ZH, AR, JA, ES.
Enumerated Values
| Parameter | Value |
|---|---|
| format | |
| format | Word |
| format | Excel |
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Report file byte array. | None |
| 400 | Bad Request | Validation error — check response body for field-level error details. | None |
| 401 | Unauthorized | Authentication failed — access token is missing, expired, or invalid. | None |
| 403 | Forbidden | Authorization denied — the authenticated user does not have permission. | None |
| 404 | Not Found | Resource not found — the requested resource does not exist or is inaccessible. | None |
| 500 | Internal Server Error | Internal server error — an unexpected error occurred. Retry or contact support. | None |
New Member Batch Scan
Code samples
# You can also use wget
curl -X POST https://demo.api.membercheck.com/api/v3/member-scans/batch \
-H 'Content-Type: multipart/form-data' \
-H 'Accept: application/json' \
-H 'X-Request-OrgId: string' \
-H 'Authorization: Bearer {access-token}'
POST https://demo.api.membercheck.com/api/v3/member-scans/batch HTTP/1.1
Content-Type: multipart/form-data
Accept: application/json
X-Request-OrgId: string
const inputBody = '{
"param": {
"matchType": "Close",
"closeMatchRateThreshold": 80,
"whitelist": "Apply",
"residence": "ApplyAll",
"blankAddress": "ApplyResidenceCountry",
"pepJurisdiction": "Apply",
"excludeDeceasedPersons": "Yes",
"dobTolerance": 2,
"updateMonitoringList": false,
"allowDuplicateFileName": false,
"includeJurisdictionRisk": "No",
"includeAdvancedMedia": "No",
"watchlists": "",
"includeRiskAssessment": "No",
"ignoreBlankPolicy": ""
},
"File": "string"
}';
const headers = {
'Content-Type':'multipart/form-data',
'Accept':'application/json',
'X-Request-OrgId':'string',
'Authorization':'Bearer {access-token}'
};
fetch('https://demo.api.membercheck.com/api/v3/member-scans/batch',
{
method: 'POST',
body: inputBody,
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
require 'rest-client'
require 'json'
headers = {
'Content-Type' => 'multipart/form-data',
'Accept' => 'application/json',
'X-Request-OrgId' => 'string',
'Authorization' => 'Bearer {access-token}'
}
result = RestClient.post 'https://demo.api.membercheck.com/api/v3/member-scans/batch',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Content-Type': 'multipart/form-data',
'Accept': 'application/json',
'X-Request-OrgId': 'string',
'Authorization': 'Bearer {access-token}'
}
r = requests.post('https://demo.api.membercheck.com/api/v3/member-scans/batch', headers = headers)
print(r.json())
URL obj = new URL("https://demo.api.membercheck.com/api/v3/member-scans/batch");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("POST");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Content-Type": []string{"multipart/form-data"},
"Accept": []string{"application/json"},
"X-Request-OrgId": []string{"string"},
"Authorization": []string{"Bearer {access-token}"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("POST", "https://demo.api.membercheck.com/api/v3/member-scans/batch", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
POST /api/v3/member-scans/batch
Performs new member batch scan.
Member Scan - Batch Scan allows you to scan uploaded batch files of member data against selected watchlists.
Body parameter
param:
matchType: Close
closeMatchRateThreshold: 80
whitelist: Apply
residence: ApplyAll
blankAddress: ApplyResidenceCountry
pepJurisdiction: Apply
excludeDeceasedPersons: Yes
dobTolerance: 2
updateMonitoringList: false
allowDuplicateFileName: false
includeJurisdictionRisk: No
includeAdvancedMedia: No
watchlists: ""
includeRiskAssessment: No
ignoreBlankPolicy: ""
File: string
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| X-Request-OrgId | header | string | false | Unique organisation identifier. This is optional and your default organisation will be used if not specified. You can specify the relevant Organisation ID if you are assigned to multiple organisations. |
| body | body | object | false | none |
| » param | body | BatchScanInputParam | false | Scan parameters, which include match type and policy options, applicable to each scan. Please check with your Compliance Officer the Organisation's Scan Setting requirements in the MemberCheck web application. |
| »» matchType | body | string¦null | false | Used to determine how closely a watchlist entity name must match a member before being considered a match. |
| »» closeMatchRateThreshold | body | integer(int32)¦null | false | Used to refine Close Match results by setting a Close Match Rate threshold (1 to 100). This is only applicable if matchType is Close. |
| »» whitelist | body | string¦null | false | Used for eliminating match results previously determined to not be a true match. |
| »» residence | body | string¦null | false | Used for eliminating match results where the member and matching entity have a different Country of Residence. |
| »» blankAddress | body | string¦null | false | Used in conjunction with the preset Default Country of Residence in the Organisation's Scan Settings in the web application to apply the default Country if member addresses are blank. |
[...]
